Your submission was sent successfully! Close

CVE-2008-4610

Published: 20 October 2008

MPlayer allows remote attackers to cause a denial of service (application crash) via (1) a malformed AAC file, as demonstrated by lol-vlc.aac; or (2) a malformed Ogg Media (OGM) file, as demonstrated by lol-ffplay.ogm, different vectors than CVE-2007-6718.

Notes

AuthorNote
mdeslaur
First issue is the same as CVE-2008-5244, but for mplayer
The ogm issue is a ffmpeg problem. Just a crasher.
sbeattie
according to debian, first issue is actually a crash in
libfaad2, though earlier mplayer didn't link against system libfaad2
examining packages, 2:1.0~rc4.dfsg1+svn33713-1 appears to
be the first one that links against system libfaad
Priority

Low

Status

Package Release Status
ffmpeg
Launchpad, Ubuntu, Debian
dapper Ignored
(reached end-of-life)
gutsy
Released (3:0.cvs20070307-5ubuntu4.2)
hardy
Released (3:0.cvs20070307-5ubuntu7.2)
intrepid Needed
(reached end-of-life)
jaunty Not vulnerable
(3:0.svn20090303-1ubuntu2+unstripped1)
karmic Not vulnerable
(3:0.svn20090303-1ubuntu2+unstripped1)
lucid Not vulnerable
(3:0.svn20090303-1ubuntu2+unstripped1)
maverick Not vulnerable
(3:0.svn20090303-1ubuntu2+unstripped1)
natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

upstream Needs triage

Patches:
vendor: http://patch-tracking.debian.net/patch/series/view/ffmpeg-debian/0.svn20080206-17/050_CVE-2008-4610.patch

ffmpeg-debian
Launchpad, Ubuntu, Debian
dapper Does not exist

feisty Does not exist

gutsy Does not exist

hardy Does not exist

intrepid
Released (3:0.svn20080206-12ubuntu3.1)
jaunty Not vulnerable
(3:0.svn20090303-1ubuntu4)
karmic Does not exist

lucid Does not exist

maverick Does not exist

natty Does not exist

oneiric Does not exist

precise Does not exist

quantal Does not exist

raring Does not exist

saucy Does not exist

upstream Needs triage

Patches:

vendor: http://patch-tracking.debian.net/patch/series/view/ffmpeg-debian/0.svn20080206-17/050_CVE-2008-4610.patch
mplayer
Launchpad, Ubuntu, Debian
dapper Ignored
(reached end-of-life)
gutsy Needed
(reached end-of-life)
hardy Ignored
(reached end-of-life)
intrepid Needed
(reached end-of-life)
jaunty Ignored
(reached end-of-life)
karmic Ignored
(reached end-of-life)
lucid Ignored
(reached end-of-life)
maverick Ignored
(reached end-of-life)
natty Ignored
(reached end-of-life)
oneiric Not vulnerable
(2:1.0~rc4.dfsg1+svn33713-1)
precise Not vulnerable
(2:1.0~rc4.dfsg1+svn33713-1)
quantal Not vulnerable
(2:1.0~rc4.dfsg1+svn33713-1)
raring Not vulnerable
(2:1.0~rc4.dfsg1+svn33713-1)
saucy Not vulnerable
(2:1.0~rc4.dfsg1+svn33713-1)
upstream Needed